org.eclipse.graphiti.pattern.mapping.data

## Interface ITextDataMapping

All Superinterfaces:
  IDataMapping

All Known Subinterfaces:
  ILabelDataMapping

All Known Implementing Classes:
  LabelDataMapping, TextDataMapping

    public interface ITextDataMapping
    extends IDataMapping

The Interface ITextDataMapping.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getText(PictogramLink link)` Gets the text.

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.data.IDataMapping

`getUpdateWarning`

### Method Detail

#### getText

    java.lang.String getText(PictogramLink link)

Gets the text.

Parameters:
  `link` - the pictogram link
Returns:
  the text